from flask_login import UserMixin


class User(UserMixin):
    def __init__(self, user_id,
                 user_name=None,
                 user_surname=None,
                 user_middle_name=None,
                 display_name=None,
                 email=None
                 ):
        self.id = str(user_id)
        self.user_name = user_name
        self.user_surname = user_surname
        self.user_middle_name = user_middle_name
        self.display_name = display_name
        self.email = email